Events
Ingest batch events
Ingests batch events.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
Ingest batch events payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/events/batch" \ -H "Content-Type: application/json" \ -d '{ "events": [ { "event_name": "API request", "idempotency_key": "evt_IhMUl3rrZ3", "properties": { "billingrails_account_id": "acc_IhMUl3rrZ3", "endpoint": "/api/v1/accounts", "method": "POST", "request_size": 1024, "response_code": 200, "response_time_ms": 150 }, "timestamp": "2025-06-28T17:33:40.843Z" }, { "event_name": "API request", "idempotency_key": "evt_IhMUl3rrZ3", "properties": { "billingrails_account_id": "acc_IhMUl3rrZ3", "endpoint": "/api/v1/subscriptions", "method": "GET", "request_size": 512, "response_code": 200, "response_time_ms": 85 }, "timestamp": "2025-06-28T18:00:00.000Z" } ] }'{
"message": "2 event(s) queued for processing"
}